// required prototype.js 

rssContents = Class.create();
rssContents.prototype = {
    	xmlObj:Array ,
		initialize : function (xmlObj){
			this.xmlObj = xmlObj;
		}
	,
	getHeader:function(){
		var itemNodeList = this.xmlObj.getElementsByTagName("channel");
		var rssObj = this.parseRSS(itemNodeList[0], new rssContents.rssHeader());
		return rssObj

	},
	getItems:function(){

		var itemNodeList = this.xmlObj.getElementsByTagName("item");
		var resArray = new Array();

		for (var i = 0 ; i< itemNodeList.length ; i++){
			var rssObj = this.parseRSS(itemNodeList[i] , new rssContents.rssItem());
			resArray.push(rssObj);
		}
		return resArray;

	},
	parseRSS:function(srcXml , rssObj ){

//		if (!rssObj ) rssObj = new rssContents.rssItem();

		if (srcXml.nodeType == 3){
			if (srcXml.parentNode.nodeName != "item"){
					rssObj[srcXml.parentNode.nodeName] = srcXml.nodeValue;
			}
		}

		if (srcXml.hasChildNodes()){
			for (var i = 0 ; i <srcXml.childNodes.length ; i++){
  				rssObj =  this.parseRSS(srcXml.childNodes[i] , rssObj);
		  	}
		}
		  return rssObj;
	}
}

rssContents.rssHeader = function(){};
rssContents.rssHeader.prototype = {
		titile:"",
		link:"",
		description:"",
		creator:""
	};

rssContents.rssItem = function(){};
rssContents.rssItem.prototype = {
		title:"",
		link:"",
		description:"",
		content:"",
		creater:"",
		date:""
	};

